# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class InlineResponse200(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, count_farmers: float=None, closure_hash: str=None):  # noqa: E501
        """InlineResponse200 - a model defined in Swagger

        :param count_farmers: The count_farmers of this InlineResponse200.  # noqa: E501
        :type count_farmers: float
        :param closure_hash: The closure_hash of this InlineResponse200.  # noqa: E501
        :type closure_hash: str
        """
        self.swagger_types = {
            'count_farmers': float,
            'closure_hash': str
        }

        self.attribute_map = {
            'count_farmers': 'count-farmers',
            'closure_hash': 'closure-hash'
        }
        self._count_farmers = count_farmers
        self._closure_hash = closure_hash

    @classmethod
    def from_dict(cls, dikt) -> 'InlineResponse200':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The inline_response_200 of this InlineResponse200.  # noqa: E501
        :rtype: InlineResponse200
        """
        return util.deserialize_model(dikt, cls)

    @property
    def count_farmers(self) -> float:
        """Gets the count_farmers of this InlineResponse200.


        :return: The count_farmers of this InlineResponse200.
        :rtype: float
        """
        return self._count_farmers

    @count_farmers.setter
    def count_farmers(self, count_farmers: float):
        """Sets the count_farmers of this InlineResponse200.


        :param count_farmers: The count_farmers of this InlineResponse200.
        :type count_farmers: float
        """

        self._count_farmers = count_farmers

    @property
    def closure_hash(self) -> str:
        """Gets the closure_hash of this InlineResponse200.


        :return: The closure_hash of this InlineResponse200.
        :rtype: str
        """
        return self._closure_hash

    @closure_hash.setter
    def closure_hash(self, closure_hash: str):
        """Sets the closure_hash of this InlineResponse200.


        :param closure_hash: The closure_hash of this InlineResponse200.
        :type closure_hash: str
        """

        self._closure_hash = closure_hash
